%define real_name rubysdl
%define name ruby-SDL
%define version 2.2.0
%define release %mkrel 0.20160105.9

Summary: Wrapper around the cross platform Simple DirectMedia Layer game library
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPLv2+
Source: https://github.com/ohai/rubysdl/archive/master.zip
Source1: rubysdl_ref_2.en.html.bz2
Group: Development/Ruby
URL: http://ohai.github.io/rubysdl/
BuildRequires: SDL-devel SDL_image-devel SDL_mixer-devel SDL_ttf-devel smpeg-devel ruby-devel ruby(rubygems)
Provides: %{real_name} = %{version}

%description
Ruby-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Ruby,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-master
bzcat %{SOURCE1} > reference_manual.html

%build
ruby extconf.rb --enable-opengl
%make_build
sed -i 's|/usr/local/bin/ruby|/usr/bin/ruby|' sample/*.rb
chmod 0755 sample/kanji.rb

%install
%make_install
mkdir -p %{buildroot}/%{ruby_libdir}
mv %{buildroot}/%{ruby_sitelibdir}/*.rb %{buildroot}/%{ruby_libdir}
rmdir --ignore-fail-on-non-empty -p %{buildroot}/%{ruby_sitelibdir}
mkdir -p %{buildroot}/%{ruby_archdir}
mv %{buildroot}/%{ruby_sitearchdir}/*.so %{buildroot}/%{ruby_archdir}
rmdir --ignore-fail-on-non-empty -p %{buildroot}/%{ruby_sitearchdir}

%files
%doc README.* sample reference_manual.html
%{ruby_libdir}/*.rb
%{ruby_archdir}/*.so


%changelog
* Mon Mar 02 2020 pterjan <pterjan> 2.2.0-0.20160105.9.mga8
+ Revision: 1553178
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 2.2.0-0.20160105.8.mga8
+ Revision: 1522003
- Mageia 8 Mass Rebuild

* Thu Jan 10 2019 ns80 <ns80> 2.2.0-0.20160105.7.mga7
+ Revision: 1354257
- put files in the right dirs

* Sun Sep 23 2018 umeabot <umeabot> 2.2.0-0.20160105.6.mga7
+ Revision: 1300902
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 2.2.0-0.20160105.5.mga7
+ Revision: 1188709
- Rebuild for Ruby 2.5

* Tue Aug 22 2017 ns80 <ns80> 2.2.0-0.20160105.4.mga7
+ Revision: 1142910
- put files in /usr not /usr/local
- fix BR
+ pterjan <pterjan>
- Rebuild for new Ruby

* Fri Jan 08 2016 ns80 <ns80> 2.2.0-0.20160105.1.mga6
+ Revision: 920594
- update to 2016-01-05 git commit

* Mon Jan 04 2016 ns80 <ns80> 2.2.0-0.20160101.1.mga6
+ Revision: 919360
- update to latest git commit

* Tue Oct 27 2015 ns80 <ns80> 2.2.0-0.20140806.2.mga6
+ Revision: 895774
- rebuild for ruby 2.2.3

* Tue Aug 25 2015 ns80 <ns80> 2.2.0-0.20140806.1.mga6
+ Revision: 869243
- correct release number

* Mon Aug 24 2015 ns80 <ns80> 2.2.0-0.20140806.mga6
+ Revision: 869002
- imported package ruby-SDL

